/* Fundo principal */
body {
  background-color: #0f0a1e;
  color: #f5f5f7;
}

/* Navbar */
.navbar {
  background-color: #1c1533;
  /* Painéis e caixas */
}

.navbar .nav-link {
  color: #f5f5f7;
  font-size: 1.8rem;
  margin: 0 15px;
}

.navbar .nav-link:hover {
  transform: scale(1.25, 1.25);
  transition: transform 0.1s ease;
  ;
}

/* Logo */
.navbar img {
  width: 60px;
  height: 60px;
  margin-right: 10px;
}

/* Banner */
.banner {
  min-height: 500px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;
  position: relative;
  border-radius: 30px;
  overflow: hidden;
}

.banner img {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 200px;
  height: 200px;
  transform: translate(-50%, -50%);
  filter: blur(8px) brightness(0.7);
  z-index: 0;
}

.banner-content {
  position: relative;
  z-index: 1;
  text-align: center;
}

.banner-content h1 {
  font-size: 2.5rem;
  font-weight: 800;
  margin-bottom: 30px;
  color: #f5f5f7;
  /* Texto principal */
}

.banner-content h2 {
  font-size: 1.3rem;
  font-style: italic;
  font-weight: 600;
  margin-bottom: 40px;
  color: #f5f5f7;
  /* Texto secundário */
}

.strong {
  color: #ffd54f;
}

/* Ações rápidas */

.card {
  background-color: #1C1533;
  color: #f5f5f7;
}

.card p {
  color: #b0a9c1;
}

.card a {
  background-color: #311981;
  border-color: #311981;
}

.card a:hover {
  background-color: #280e57;
  border-color: #280e57;
}


.section-spacing {
  margin-bottom: 8rem !important;
  /* ou 5rem para um espaço mais generoso */
}

/*invitation*/

.invitation {
  background-color: #1c1533;
  border-radius: 20px;
  padding: 40px;
  color: #f5f5f7;
}

.invitation p {
  color: #b0a9c1;
}

.invitation a {
  background-color: #311981;
  border-color: #311981;
}

.invitation a:hover {
  background-color: #280e57;
  border-color: #280e57;
}

/* Footer */

footer {
  background-color: #1c1533;
  padding: 40px 0;
  text-align: center;
  color: #b0a9c1;
}

.footer-link {
  color: #3ec1d3;
  text-decoration: none;
  transition: color 0.2s;
}

.footer-link:hover {
  color: #ffd54f;
}

/* Efeito de sobreposição nos ícones do footer */
.icon-container {
  position: relative;
  display: inline-block;
  width: 25px;
  height: 25px;
}

.footer-icon {
  position: absolute;
  top: 0;
  left: 0;
  width: 25px;
  height: 25px;
  transition: opacity 0.3s ease;
}

.icon-default {
  opacity: 1;
}

.icon-hover {
  opacity: 0;
}

.icon-container:hover .icon-default {
  opacity: 0;
}

.icon-container:hover .icon-hover {
  opacity: 1;
}